#include <assert.h>
#include <cstdlib>
#include <iostream>
using namespace std;

#include "GeneratePeers.h"

int main(int argc, char** argv)
{
	uint numPeers;

	#ifdef TOFILE
		assert(argc == 3);
		GeneratePeers(argv[1], atoi(argv[2]), numPeers);
	#else
		assert(argc == 2);
		uint size = atoi(argv[1]);		
		uint **peers = GeneratePeers(size, numPeers);

		cout << "Peers Array:\n";
		for (uint i=0; i < size*size; i++)
		{
			for (uint j=0; j < numPeers; j++) {
				cout << peers[i][j] << " ";
			}
			cout << endl;
		}

		for (uint i=0; i<size*size; i++)
			delete[] peers[i];
		delete[] peers;
	#endif

	return 0;
}
