#include <iostream>
#include <assert.h>
using namespace std;

#include "Validator.h"
#include "../Parser/Parser.h"

int main(uint argc, char** argv)
{
	assert(argc == 2);

	uint size, errRow, errCol, *puzzle = ReadSudokuFromFile(argv[1], size);
	bool retVal = ValidateSolvedSudoku(puzzle, size, errRow, errCol);

	if (retVal) cout << "Success!" << endl;
	else cout << "Failure @ (" << errRow << "," << errCol << ") !!!" << endl;

	delete[] puzzle;
	return 0;
}
