#include <iostream>
using namespace std;

#include "Simulator/Simulator.h"

/**
 * Arguments Expected:
 * argv[0] - app name
 * argv[1] - Simulator config file (such as SampleConfig.txt)
 */
int main(int argc, char **argv)
{
	assert(argc == 2);

	Simulator Simulation(argv[1]);
	Simulation.setupTopology();
	Simulation.readTrafficFile();
	Simulation.runSimulation();

	return 0;
}
